#include <bits/stdc++.h>
using namespace std;
long long dem=0;
long long a[1000000];
int ucln(int a,int b)
{
    int r;
    while (b!=0)
    {
        r=a%b;
        a=b;
        b=r;
    }
    return a;
}
int main()
{
    ifstream f("NTCN.inp");
    ofstream g("NTCN.out");
	f>>n;
	for (int i=0;i<n;i++)
    {
        f>>a[i];
    }
    for (int i=0;i<n-1;i++)
    {
        for (int j=i+1;j<n;j++)
        {
            if (ucln(a[i],a[j])==1)
            {
                dem++;
            }
        }
    }
    g<<dem/2;
	f.close();
	g.close();
}


